package net.zmobile.ui.layout;

import java.util.Vector;

import net.zmobile.ge.ZRect;
import net.zmobile.ui.ZComponent;
import net.zmobile.ui.ZContainer;

public class ZHTMLLayout extends ZLayout {
	public void resize(ZRect rect, Vector components) {
		int startX = rect.x;
		int startY = rect.y;
		
		int height = 0;
		for (int i = 0; i < components.size(); i++) {
			ZComponent comp = (ZComponent) components.elementAt(i);
			if(height<comp.getHeight())height = comp.getHeight();
			if (startX + comp.getWidth() > rect.width) {
				startY += height;
				startX=rect.x;
			}
			System.out.println("HTML:"+startX+":"+startY+":"+comp.getWidth()+":"+comp.getHeight());
			comp.setBounds(startX, startY, comp.getWidth(), comp.getHeight());
			if (comp instanceof ZContainer) {
				((ZContainer) comp).resize();
			}
			startX +=comp.getWidth();
		}
	}

}
