package net.zmobile.ui;

import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;

import net.zmobile.ZMobile;

public class ZLabel extends ZComponent {

	public ZLabel(String text) {
		this._text = text;
		isCanFoucus = false;
		resetSize();
	}

	public void draw(Graphics g) {
		if(_font==null){
			_font = g.getFont();
		}
		g.drawString(_text, _x +2*ZMobile.GRAP, _y
				+ _h / 2 - _font.getHeight() / 2, Graphics.TOP
				| Graphics.LEFT);
	}
	public void drawStatus(Graphics g) {
		if (this.isFoucus) {
			g.setStrokeStyle(Graphics.DOTTED);
			g.drawRect(_x + ZMobile.GRAP, _y + ZMobile.GRAP, _w - 2
					* ZMobile.GRAP, _h - 2 * ZMobile.GRAP);
			g.setStrokeStyle(Graphics.SOLID);
		}
	}
	public void resetSize() {
		this._w = Font.getDefaultFont().stringWidth(_text)+4*ZMobile.GRAP;
		this._h = Font.getDefaultFont().getHeight()+2*ZMobile.GRAP;
	}
}
